Linux : Unable to find font <-adobe-courier-medium-r-normal--10-100-75-75-m-60-iso8859-1

I have installed a software in Centos6.3. When try to running the program, I get error message like this :

Unable to find font <-adobe-courier-medium-r-normal--10-100-75-75-m-60-iso8859-1>
Unable to find font <-adobe-courier-medium-r-normal--12-120-75-75-m-70-iso8859-1>
Unable to find font <-adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1>
Unable to find font <-adobe-courier-medium-r-normal--18-180-75-75-m-110-iso8859-1>
Unable to find font <-adobe-courier-medium-r-normal--24-240-75-75-m-150-iso8859-1>
Unable to find font <-adobe-courier-bold-r-normal--10-100-75-75-m-60-iso8859-1>
Unable to find font <-adobe-courier-bold-r-normal--12-120-75-75-m-70-iso8859-1>
Unable to find font <-adobe-courier-bold-r-normal--14-140-75-75-m-90-iso8859-1>
Unable to find font <-adobe-courier-bold-r-normal--18-180-75-75-m-110-iso8859-1>
Unable to find font <-adobe-courier-bold-r-normal--24-240-75-75-m-150-iso8859-1>
Unable to find font <-adobe-courier-medium-o-normal--10-100-75-75-m-60-iso8859-1>
Unable to find font <-adobe-courier-medium-o-normal--12-120-75-75-m-70-iso8859-1>
Unable to find font <-adobe-courier-medium-o-normal--14-140-75-75-m-90-iso8859-1>
Unable to find font <-adobe-courier-medium-o-normal--18-180-75-75-m-110-iso8859-1>
Unable to find font <-adobe-courier-medium-o-normal--24-240-75-75-m-150-iso8859-1>
Unable to find font <-adobe-courier-bold-o-normal--10-100-75-75-m-60-iso8859-1>
Unable to find font <-adobe-courier-bold-o-normal--12-120-75-75-m-70-iso8859-1>
Unable to find font <-adobe-courier-bold-o-normal--14-140-75-75-m-90-iso8859-1>
Unable to find font <-adobe-courier-bold-o-normal--18-180-75-75-m-110-iso8859-1>
Unable to find font <-adobe-courier-bold-o-normal--24-240-75-75-m-150-iso8859-1>
Error: Unable to find required fonts; Please check fontpath

This problem showed, because we dont install the requirement font for this program. If I check at my computer about this font, I get no font related with this.

[toto@tlaptop Desktop]$ xlsfonts | grep adobe-courier | grep iso8859
[toto@tlaptop Desktop]$

We can solve this error with install the all requirement font with command :

yum install xorg-x11-fonts-ISO8859-1-100dpi xorg-x11-fonts-ISO8859-1-75dpi

This is the result after the installation complete.

[toto@tlaptop Desktop]$ xlsfonts | grep adobe-courier | grep iso8859
-adobe-courier-bold-o-normal--10-100-75-75-m-60-iso8859-1
-adobe-courier-bold-o-normal--11-80-100-100-m-60-iso8859-1
-adobe-courier-bold-o-normal--12-120-75-75-m-70-iso8859-1
-adobe-courier-bold-o-normal--14-100-100-100-m-90-iso8859-1
-adobe-courier-bold-o-normal--14-140-75-75-m-90-iso8859-1
-adobe-courier-bold-o-normal--17-120-100-100-m-100-iso8859-1
-adobe-courier-bold-o-normal--18-180-75-75-m-110-iso8859-1
-adobe-courier-bold-o-normal--20-140-100-100-m-110-iso8859-1
-adobe-courier-bold-o-normal--24-240-75-75-m-150-iso8859-1
-adobe-courier-bold-o-normal--25-180-100-100-m-150-iso8859-1
-adobe-courier-bold-o-normal--34-240-100-100-m-200-iso8859-1

If you use debian linux (ubuntu, Linux Mint), you can solve this problem with command :

sudo apt-get install xfonts-100dpi
sudo apt-get install xfonts-75dpi
Source:
http://einsteinliu1986.blog.163.com/blog/static/1032896272011783153420/
http://forums.fedoraforum.org/showthread.php?t=228139

Add a Comment

Your email address will not be published. Required fields are marked *

 

This site uses Akismet to reduce spam. Learn how your comment data is processed.